http://linux-watchdog.bkbits.net/linux-2.6-watchdog-mm
olh@suse.de|ChangeSet|20050128222454|38554 olh

# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2005/01/28 23:24:54+01:00 olh@suse.de 
#   [WATCHDOG] correct sysfs name for watchdog devices
#   
#   While looking for possible candidates for our udev.rules package,
#   I found a few odd ->name properties. /dev/watchdog has minor 130
#   according to devices.txt. Since all watchdog drivers use the
#   misc_register() call, they will end up in /sys/class/misc/$foo.
#   udev may create the /dev/watchdog node if the driver is loaded.
#   I dont have such a device, so I cant test it.
#   The drivers below provide names with spaces and even with / in it.
#   Not a big deal, but apps may expect /dev/watchdog.
#   
#   Signed-off-by: Olaf Hering <olh@suse.de>
#   Signed-off-by: Wim Van Sebroeck <wim@iguana.be>
# 
# drivers/char/watchdog/scx200_wdt.c
#   2005/01/28 23:24:45+01:00 olh@suse.de +1 -1
#   While looking for possible candidates for our udev.rules package,
#   I found a few odd ->name properties. /dev/watchdog has minor 130
#   according to devices.txt. Since all watchdog drivers use the
#   misc_register() call, they will end up in /sys/class/misc/$foo.
#   udev may create the /dev/watchdog node if the driver is loaded.
#   I dont have such a device, so I cant test it.
#   The drivers below provide names with spaces and even with / in it.
#   Not a big deal, but apps may expect /dev/watchdog.
#   
#   Signed-off-by: Olaf Hering <olh@suse.de>
#   Signed-off-by: Wim Van Sebroeck <wim@iguana.be>
# 
# drivers/char/watchdog/sa1100_wdt.c
#   2005/01/28 23:24:45+01:00 olh@suse.de +1 -1
#   While looking for possible candidates for our udev.rules package,
#   I found a few odd ->name properties. /dev/watchdog has minor 130
#   according to devices.txt. Since all watchdog drivers use the
#   misc_register() call, they will end up in /sys/class/misc/$foo.
#   udev may create the /dev/watchdog node if the driver is loaded.
#   I dont have such a device, so I cant test it.
#   The drivers below provide names with spaces and even with / in it.
#   Not a big deal, but apps may expect /dev/watchdog.
#   
#   Signed-off-by: Olaf Hering <olh@suse.de>
#   Signed-off-by: Wim Van Sebroeck <wim@iguana.be>
# 
# drivers/char/watchdog/ixp4xx_wdt.c
#   2005/01/28 23:24:45+01:00 olh@suse.de +1 -1
#   While looking for possible candidates for our udev.rules package,
#   I found a few odd ->name properties. /dev/watchdog has minor 130
#   according to devices.txt. Since all watchdog drivers use the
#   misc_register() call, they will end up in /sys/class/misc/$foo.
#   udev may create the /dev/watchdog node if the driver is loaded.
#   I dont have such a device, so I cant test it.
#   The drivers below provide names with spaces and even with / in it.
#   Not a big deal, but apps may expect /dev/watchdog.
#   
#   Signed-off-by: Olaf Hering <olh@suse.de>
#   Signed-off-by: Wim Van Sebroeck <wim@iguana.be>
# 
# drivers/char/watchdog/ixp2000_wdt.c
#   2005/01/28 23:24:45+01:00 olh@suse.de +1 -1
#   While looking for possible candidates for our udev.rules package,
#   I found a few odd ->name properties. /dev/watchdog has minor 130
#   according to devices.txt. Since all watchdog drivers use the
#   misc_register() call, they will end up in /sys/class/misc/$foo.
#   udev may create the /dev/watchdog node if the driver is loaded.
#   I dont have such a device, so I cant test it.
#   The drivers below provide names with spaces and even with / in it.
#   Not a big deal, but apps may expect /dev/watchdog.
#   
#   Signed-off-by: Olaf Hering <olh@suse.de>
#   Signed-off-by: Wim Van Sebroeck <wim@iguana.be>
# 
diff -Nru a/drivers/char/watchdog/ixp2000_wdt.c b/drivers/char/watchdog/ixp2000_wdt.c
--- a/drivers/char/watchdog/ixp2000_wdt.c	2005-02-22 18:39:20 -08:00
+++ b/drivers/char/watchdog/ixp2000_wdt.c	2005-02-22 18:39:20 -08:00
@@ -186,7 +186,7 @@
 static struct miscdevice ixp2000_wdt_miscdev =
 {
 	.minor		= WATCHDOG_MINOR,
-	.name		= "IXP2000 Watchdog",
+	.name		= "watchdog",
 	.fops		= &ixp2000_wdt_fops,
 };
 
diff -Nru a/drivers/char/watchdog/ixp4xx_wdt.c b/drivers/char/watchdog/ixp4xx_wdt.c
--- a/drivers/char/watchdog/ixp4xx_wdt.c	2005-02-22 18:39:20 -08:00
+++ b/drivers/char/watchdog/ixp4xx_wdt.c	2005-02-22 18:39:20 -08:00
@@ -180,7 +180,7 @@
 static struct miscdevice ixp4xx_wdt_miscdev =
 {
 	.minor		= WATCHDOG_MINOR,
-	.name		= "IXP4xx Watchdog",
+	.name		= "watchdog",
 	.fops		= &ixp4xx_wdt_fops,
 };
 
diff -Nru a/drivers/char/watchdog/sa1100_wdt.c b/drivers/char/watchdog/sa1100_wdt.c
--- a/drivers/char/watchdog/sa1100_wdt.c	2005-02-22 18:39:20 -08:00
+++ b/drivers/char/watchdog/sa1100_wdt.c	2005-02-22 18:39:20 -08:00
@@ -176,7 +176,7 @@
 static struct miscdevice sa1100dog_miscdev =
 {
 	.minor		= WATCHDOG_MINOR,
-	.name		= "SA1100/PXA2xx watchdog",
+	.name		= "watchdog",
 	.fops		= &sa1100dog_fops,
 };
 
diff -Nru a/drivers/char/watchdog/scx200_wdt.c b/drivers/char/watchdog/scx200_wdt.c
--- a/drivers/char/watchdog/scx200_wdt.c	2005-02-22 18:39:20 -08:00
+++ b/drivers/char/watchdog/scx200_wdt.c	2005-02-22 18:39:20 -08:00
@@ -210,7 +210,7 @@
 
 static struct miscdevice scx200_wdt_miscdev = {
 	.minor = WATCHDOG_MINOR,
-	.name  = NAME,
+	.name  = NAME, /* make that "watchdog" ? */
 	.fops  = &scx200_wdt_fops,
 };
 
